#! /bin/bash

set -o errexit

. config.sh

if [ ! -d ../repos ]; then
    buildah unshare bash ../build/extract.sh ${image}
fi

podman run --name "ccpi-devel" -it --hooks-dir /usr/share/containers/oci/hooks.d/ -v ~/ccpi/data:/ccpi/data -v ~/ccpi/repos:/ccpi/repos localhost/${image} bash /root/setup/provision.sh
podman container cp ../repos/ ccpi-devel:/ccpi/
podman container commit ccpi-devel ${image}:devel
podman rm ccpi-devel
